Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc
Class MethodMetric

    java.lang.Object
      |
      +--rj.tools.jcsc.MethodMetric

public class MethodMetric
extends java.lang.Object

`MethodMetric` - a metric for a method

Version:
  $Revision: 1.3 $
Author:
  Ralph Jocham

Constructor Summary
`MethodMetric(int line, int column, java.lang.String name, int ncssCount, int ccnCount)` Creates a new `MethodMetric` instance.

Method Summary
`int` | `getCCNCount()` `getCCNCount`
`int` | `getColumn()` `getColumn`
`int` | `getLine()` `getLine`
`java.lang.String` | `getMethodName()` `getMethodName`
`int` | `getNCSSCount()` `getNCSSCount`
`void` | `setCCNCount(int count)` `setCCNCount`
`void` | `setColumn(int column)` `setColumn`
`void` | `setLine(int line)` `setLine`
`void` | `setMethodName(java.lang.String name)` `setMethodName`
`void` | `setNCSSCount(int count)` `setNCSSCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodMetric

    public MethodMetric(int line,
                        int column,
                        java.lang.String name,
                        int ncssCount,
                        int ccnCount)

  Creates a new `MethodMetric` instance.
  Parameters:
    `line` - an `int` value - line of method
    `column` - an `int` value - column of method
    `name` - a `String` value - name of method
    `ncssCount` - an `int` value - ncssCount of method
    `ccnCount` - an `int` value - ccnCount of method

Method Detail

### setMethodName

    public void setMethodName(java.lang.String name)

  `setMethodName`
  Parameters:
    `name` - a `String` value

### getMethodName

    public java.lang.String getMethodName()

  `getMethodName`
  Returns:
    a `String` value

### setNCSSCount

    public void setNCSSCount(int count)

  `setNCSSCount`
  Parameters:
    `count` - an `int` value

### getNCSSCount

    public int getNCSSCount()

  `getNCSSCount`
  Returns:
    an `int` value

### setCCNCount

    public void setCCNCount(int count)

  `setCCNCount`
  Parameters:
    `count` - an `int` value

### getCCNCount

    public int getCCNCount()

  `getCCNCount`
  Returns:
    an `int` value

### setLine

    public void setLine(int line)

  `setLine`
  Parameters:
    `line` - an `int` value

### getLine

    public int getLine()

  `getLine`
  Returns:
    an `int` value

### setColumn

    public void setColumn(int column)

  `setColumn`
  Parameters:
    `column` - an `int` value

### getColumn

    public int getColumn()

  `getColumn`
  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License